.container {
    max-width: 400px;
    margin: 0 auto;
    padding: 20px;
    background-color: #f4f4f4;
    border-radius: 5px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    margin-top: 30px;
}

#taskInput {
    width: 100%;
    padding: 10px;
    border: none;
    border-bottom: 1px solid #ccc;
    outline: none;
    margin-bottom: 10px;
}

#MyH1 {
    font-size: 36px;
    font-weight: bold;
    margin-bottom: 10px;
    text-align: center;
    color: #333;
    text-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
    font-family: sans-serif, arial, helvetica;
}

#addTaskBtn {
    cursor: pointer;
    padding: 10px;
    border: none;
    border-bottom: 1px solid #ccc;
    outline: none;
    margin-bottom: 10px;
    background-color: hsl(128, 78%, 50%);
    color: #ffffff;
    transition: all 0.3s ease;
    font-family: sans-serif, arial, helvetica;
    border-radius: 5px;
    font-size: 18px;
}

#addTaskBtn:hover {
    background-color: hsl(128, 78%, 40%);
}
.complete-btn {
    cursor: pointer;
    padding: 10px;
    border: none;
    border-bottom: 1px solid #ccc;
    outline: none;
    margin-bottom: 10px;
    background-color: hsl(183, 91%, 63%);
    color: #ffffff;
    transition: all 0.3s ease;
    font-family: sans-serif, arial, helvetica;
    border-radius: 5px;
    font-size: 18px;
}

.complete-btn:hover {
    background-color: hsl(183, 91%, 53%);
}
.edit-btn {
    cursor: pointer;
    padding: 10px;
    border: none;
    border-bottom: 1px solid #ccc;
    outline: none;
    margin-bottom: 10px;
    background-color: hsl(128, 78%, 50%);
    color: #ffffff;
    transition: all 0.3s ease;
    font-family: sans-serif, arial, helvetica;
    border-radius: 20px;
    font-size: 18px;
    margin-right: 10px;
    margin-left: 10px;
}

ul {
    list-style-type: none;
    padding: 0;
    display: flex;
    flex-direction: column;
    justify-content: flex-start; /* Change to flex-start for scrolling */
    align-items: center;
    margin: 0;
    width: 100%;
    height: 100%;
    overflow-y: scroll;
    overflow-x: hidden;
    background-color: #f4f4f4;
    border-radius: 5px;
    box-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
    font-family: sans-serif, arial, helvetica;
    font-size: 18px;
    color: #333;
}

li {
    margin-bottom: 10px;
    padding: 10px;
    text-align: left;
    border-radius: 5px;
    box-shadow: 0 1px 0 rgba(255, 255, 255, 0.5);
    font-family: sans-serif, arial, helvetica;
    font-size: 18px;
    color: #333;
}

.completed {
    text-decoration: line-through;
}

.delete-btn {
    background-color: #e74c3c;
    color: white;
    border: none;
    border-radius: 50%;
    padding: 5px 10px;
    cursor: pointer;
    transition: background-color 0.3s;
    margin: 10px;
}

.delete-btn:hover {
    background-color: #c0392b;
}
.task-date {
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 14px;
    margin-left: 10px; 
    margin-top: 5px; 
    margin-bottom: 5px; 
    margin-right: 10px; 
}

.completed-green {
    background-color: green;
}
